curl --request DELETE \
--url https://api.vogent.ai/api/agents/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.vogent.ai/api/agents/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.vogent.ai/api/agents/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"language": "<string>",
"transcriberParams": {
"type": "<string>",
"keywords": [
"<string>"
]
},
"metadata": {},
"utteranceDetectorConfig": {
"sensitivity": "ULTRA_FAST",
"interruptionPlayTimeMs": 123
},
"endpointDetectorConfig": {
"type": "SIMPLE",
"mode": "CONSERVATIVE"
},
"ivrConfiguration": {
"detectionType": "NONE",
"versionedPromptId": "<string>",
"aiVoiceId": "<string>",
"taggingText": "<string>"
},
"idleMessageConfig": {
"enabled": true,
"messages": [
"<string>"
],
"idleDurationMilliseconds": 5001,
"maxIdleMessages": 2
},
"maxDurationSeconds": 10800,
"timeoutMessage": "<string>",
"timeoutBehaviorConfiguration": {
"behavior": "HANGUP",
"transferNumber": "<string>"
},
"defaultVoiceId": "<string>",
"defaultVersionedPromptId": "<string>",
"defaultExtractorId": "<string>",
"linkedFunctionDefinitions": [
{
"functionDefinitionId": "<string>",
"lifecycleMessagesOverride": {
"started": [
"<string>"
],
"waiting": [
"<string>"
],
"awaitSpeech": true
}
}
],
"fillEmptyStringVariables": true,
"silenceHangupConfiguration": {
"type": "DISABLED",
"silenceDurationSeconds": 123
},
"ivrSilenceHangupConfiguration": {
"type": "DISABLED",
"silenceDurationSeconds": 123
},
"voicemailConfig": {
"detection": "DISABLE",
"message": "<string>"
},
"voiceOptionValues": [
{
"optionId": "<string>",
"value": "<string>"
}
]
}Delete Agent
Delete an agent. This action is irreversible, so be careful when using it. Returns the deleted agent.
Authorizations
In the form Bearer <api_key_here>. You can find your api key in your dashboard.
Path Parameters
ID of the agent.
Response
Successful operation
The language to use for the agent.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Configuration for endpoint detection to determine when a user has finished speaking.
Show child attributes
Show child attributes
The configuration for IVR detection and navigation including detection type, prompt, voice, and tagging settings.
Show child attributes
Show child attributes
Configuration for idle messages that the agent can say when the user is silent.
Show child attributes
Show child attributes
The maximum duration of the call in seconds.
An optional message to play via TTS before hanging up when the call reaches its max duration timeout.
Configuration for the behavior when a call reaches its max duration timeout.
Show child attributes
Show child attributes
The default voice ID to use for the agent.
The default versioned prompt ID to use for the agent.
The default extractor ID to use for the agent.
The function definitions that should be available to this agent.
Show child attributes
Show child attributes
If true, variables that are not specified will be filled with empty strings instead of being left as template placeholders.
Configuration for automatically hanging up the call after a period of silence.
Show child attributes
Show child attributes
Configuration for automatically hanging up the call after a period of silence while in IVR mode.
Show child attributes
Show child attributes
Configuration for what to do when an answering machine is detected.
Show child attributes
Show child attributes
The configuration values for the voice being used by the agent.
Show child attributes
Show child attributes